# Uses of Interface
org.eclipse.net4j.buffer.IBuffer

Packages that use IBuffer
Package
Description
org.eclipse.net4j.buffer
The Net4j transport layer concepts for dealing with buffers.
org.eclipse.net4j.channel
The Net4j transport layer concepts for dealing with channels.
org.eclipse.net4j.signal
A framework for request/response based communication on top of the Net4j transport layer.
org.eclipse.net4j.ws.jetty
Jetty-specific classes with support for Websocket connections.
org.eclipse.spi.net4j
Server service provider interfaces and useful base implementations for the Net4j transport layer.

## Uses of IBuffer in org.eclipse.net4j.buffer

Methods in org.eclipse.net4j.buffer that return IBuffer
Modifier and Type
Method
Description
`IBuffer`
IBufferProvider.Notification.BufferProvidedEvent.`getBuffer()`
`IBuffer`
IBufferProvider.Notification.BufferRetainingEvent.`getBuffer()`
`IBuffer`
IBufferProvider.`provideBuffer()`
Provides a buffer from this `BufferProvider`.
Methods in org.eclipse.net4j.buffer with parameters of type IBuffer
Modifier and Type
Method
Description
`void`
BufferInputStream.`handleBuffer(IBuffer buffer)`
`void`
IBufferHandler.`handleBuffer(IBuffer buffer)`
Handles an `IBuffer` and possibly releases it.
`void`
IBufferProvider.`retainBuffer(IBuffer buffer)`
Retains a buffer to this `BufferProvider`.

## Uses of IBuffer in org.eclipse.net4j.channel

Methods in org.eclipse.net4j.channel with parameters of type IBuffer
Modifier and Type
Method
Description
`void`
IChannel.`sendBuffer(IBuffer buffer)`
Asynchronously sends the given buffer to the receive handler of the peer channel.

## Uses of IBuffer in org.eclipse.net4j.signal

Methods in org.eclipse.net4j.signal with parameters of type IBuffer
Modifier and Type
Method
Description
`void`
SignalProtocol.`handleBuffer(IBuffer buffer)`
Handles a given (incoming) buffer.

## Uses of IBuffer in org.eclipse.net4j.ws.jetty

Methods in org.eclipse.net4j.ws.jetty with parameters of type IBuffer
Modifier and Type
Method
Description
`void`
Net4jWebSocket.`sendBuffer(IBuffer buffer)`

## Uses of IBuffer in org.eclipse.spi.net4j

Subinterfaces of IBuffer in org.eclipse.spi.net4j
Modifier and Type
Interface
Description
`interface`
`InternalBuffer`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.spi.net4j that return IBuffer
Modifier and Type
Method
Description
`IBuffer`
Channel.SendQueue.`poll()`
`IBuffer`
Channel.`provideBuffer()`
`IBuffer`
Connector.`provideBuffer()`
Methods in org.eclipse.spi.net4j that return types with arguments of type IBuffer
Modifier and Type
Method
Description
`Queue<IBuffer>`
Channel.`getSendQueue()`
`Queue<IBuffer>`
InternalChannel.`getSendQueue()`
Methods in org.eclipse.spi.net4j with parameters of type IBuffer
Modifier and Type
Method
Description
`protected Channel.ReceiverWork`
Channel.`createReceiverWork(IBuffer buffer)`
Deprecated.
As of 4.10 scheduled for future removal.
`void`
Channel.`handleBuffer(IBuffer buffer)`
Handles the given buffer.
`void`
Channel.`handleBufferFromMultiplexer(IBuffer buffer)`
Handles a buffer sent by the multiplexer.
`void`
InternalChannel.`handleBufferFromMultiplexer(IBuffer buffer)`
`void`
InternalChannelMultiplexer.BufferMultiplexer.`multiplexBuffer(InternalChannel channel, IBuffer buffer)`
Called by a `channel` each time a new `buffer` is available for multiplexing.
`boolean`
Channel.SendQueue.`offer(IBuffer o)`
`void`
Channel.`retainBuffer(IBuffer buffer)`
`void`
Connector.`retainBuffer(IBuffer buffer)`
`void`
Channel.`sendBuffer(IBuffer buffer)`
Constructors in org.eclipse.spi.net4j with parameters of type IBuffer
Modifier
Constructor
Description
``
`ReceiverWork(IBuffer buffer)`
Deprecated.